List jobs, newest first
Authorization
apiKey AuthorizationBearer <token>
In: header
Query Parameters
cursor?string
next_cursor from the previous page
Default
""limit?integer
Range
1 <= value <= 100Default
50status?array<>
Comma-separated statuses
Default
[]ruleset_id?string
Jobs of this ruleset, including workflow jobs with a step that uses it
Default
""workflow_id?string
Default
""dataset_id?string
Jobs that read this dataset
Default
""origin?string
Value in
- "api"
- "trigger"
dry_run?string
Value in
- "true"
- "false"
created_from?string
First day, YYYY-MM-DD
Default
""created_to?string
Last day, YYYY-MM-DD
Default
""Response Body
application/json
application/problem+json
curl -X GET "https://example.com/v1/jobs"{ "data": [ { "id": "string", "ruleset_id": "string", "ruleset_version": -9007199254740991, "left_dataset_id": "string", "right_dataset_id": "string", "workflow_id": "string", "workflow_version": -9007199254740991, "dataset_ids": [ "string" ], "dry_run": true, "size_class": "small", "estimated_records": -9007199254740991, "trigger_id": "string", "status": "queued", "phase": "string", "cancel_requested": true, "stats": { "matched": -9007199254740991, "possible": -9007199254740991, "steps": [ { "name": "string", "left_dataset_id": "string", "right_dataset_id": "string", "derived_dataset_id": "string", "left_records": -9007199254740991, "right_records": -9007199254740991, "matched": -9007199254740991, "possible": -9007199254740991, "candidates": -9007199254740991, "evaluated": -9007199254740991, "eval_errors": -9007199254740991, "truncated_keys": -9007199254740991, "passes": [ { "name": "string", "candidates": -9007199254740991, "evaluated": -9007199254740991, "matched": -9007199254740991, "possible": -9007199254740991 } ], "composite": { "groups": -9007199254740991, "skipped_groups": -9007199254740991, "targets": -9007199254740991, "searches_exhausted": -9007199254740991, "matched": { "property1": -9007199254740991, "property2": -9007199254740991 }, "possible": { "property1": -9007199254740991, "property2": -9007199254740991 }, "duration_ms": -9007199254740991 }, "partial": -9007199254740991, "partials_extended": -9007199254740991, "partials_completed": -9007199254740991, "skipped_known": -9007199254740991, "load_strategy": "string", "load_ms": -9007199254740991, "match_ms": -9007199254740991, "dedupe_ms": -9007199254740991, "persist_ms": -9007199254740991, "persist_phases_ms": { "property1": -9007199254740991, "property2": -9007199254740991 } } ] }, "error": "string", "attempts": -9007199254740991, "created_at": "2019-08-24T14:15:22Z", "started_at": "2019-08-24T14:15:22Z", "finished_at": "2019-08-24T14:15:22Z" } ], "next_cursor": "string"}
